"use strict";
var __webpack_exports__ = {};
const uniq_js_namespaceObject = require("../../utils/uniq.js");
describe('uniq', ()=>{
    test('uniq method with non-array value', ()=>{
        const value = 'Hello';
        const result = (0, uniq_js_namespaceObject.uniq)(value);
        expect(result).toBe(value);
    });
    test('uniq method with array elements as strings', ()=>{
        const value = [
            'apple',
            'banana',
            'apple',
            'orange'
        ];
        const result = (0, uniq_js_namespaceObject.uniq)(value);
        expect(result).toEqual([
            'apple',
            'banana',
            'apple',
            'orange'
        ]);
    });
    test('uniq method with array elements as objects with an id property', ()=>{
        const value = [
            {
                id: 1,
                name: 'John'
            },
            {
                id: 2,
                name: 'Jane'
            },
            {
                id: 1,
                name: 'John Doe'
            }
        ];
        const result = (0, uniq_js_namespaceObject.uniq)(value);
        expect(result).toEqual([
            {
                id: 1,
                name: 'John'
            },
            {
                id: 2,
                name: 'Jane'
            }
        ]);
    });
    test('uniq method with array elements as objects without an id property', ()=>{
        const value = [
            {
                id: 1,
                name: 'John'
            },
            {
                id: 1,
                name: 'John'
            },
            {
                id: 2,
                name: 'John Doe'
            }
        ];
        const result = (0, uniq_js_namespaceObject.uniq)(value);
        expect(result).toEqual([
            {
                id: 1,
                name: 'John'
            },
            {
                id: 2,
                name: 'John Doe'
            }
        ]);
    });
});
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
